@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    font-family: 'Rubik', sans-serif;
}

.section {
    height: 100dvh;
    background-image: url("./assets/img/background.jpg");
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.5rem;
}

.section__container {
    position: relative;
    width: 100%;
    max-width: 460px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 48px;
    border-radius: 12px;
    padding: 1.5rem;
    background: #110D0E;
    color: #FFF3F1;
    overflow: hidden;
}

.section__container:after {
    content: '';
    background: radial-gradient(50% 50% at 50% 50%, rgba(240, 81, 60, 0.10) 0%, rgba(240, 81, 60, 0.00) 100%);
    width: 360px;
    height: 240px;
    position: absolute;
    left: 50px;
    top: -120px;
    pointer-events: none;
}

.section__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
}

.section__text {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 4px
}

.section__text > h1 {
    font-size: 1.5rem;
}

.section__text > p {
    font-size: 0.875rem;
    color: rgba(255, 243, 241, 0.50);
}

.section__socials {
    display: flex;
    justify-content: center;
    gap: 16px;
}

.section__social-link {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 38px;
    height: 38px;
    border-radius: 6px;
    background: rgba(255, 243, 241, 0.10);
    text-decoration: none;
    transition: all 0.2s ease;
}

.section__social-link:hover {
    background: rgba(255, 243, 241, 0.14);
}

.section__social-link:focus-visible {
    outline: 2px solid #3B99EB; 
    outline-offset: 2px;
}

.section__social-link:disabled {
  opacity: .5;
  cursor: not-allowed;
  border: none;
}

.section__social-link:disabled:hover {
    background: rgba(255, 243, 241, 0.10);
}